summaryrefslogtreecommitdiff
path: root/nss/automation/taskcluster/scripts/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'nss/automation/taskcluster/scripts/build.sh')
-rwxr-xr-xnss/automation/taskcluster/scripts/build.sh13
1 files changed, 8 insertions, 5 deletions
diff --git a/nss/automation/taskcluster/scripts/build.sh b/nss/automation/taskcluster/scripts/build.sh
index 69968b1..649fdaa 100755
--- a/nss/automation/taskcluster/scripts/build.sh
+++ b/nss/automation/taskcluster/scripts/build.sh
@@ -1,14 +1,17 @@
#!/usr/bin/env bash
-source $(dirname $0)/tools.sh
+source $(dirname "$0")/tools.sh
-if [[ $(id -u) -eq 0 ]]; then
- # Drop privileges by re-running this script.
- exec su worker $0
+if [ -n "$NSS_BUILD_MODULAR" ]; then
+ $(dirname "$0")/build_nspr.sh || exit $?
+ $(dirname "$0")/build_util.sh || exit $?
+ $(dirname "$0")/build_softoken.sh || exit $?
+ $(dirname "$0")/build_nss.sh || exit $?
+ exit
fi
# Clone NSPR if needed.
-hg_clone https://hg.mozilla.org/projects/nspr nspr default
+hg_clone https://hg.mozilla.org/projects/nspr ./nspr default
# Build.
make -C nss nss_build_all